Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.behavior
Interface ClientBehaviorHolder

All Known Implementing Classes:
  HtmlBody, HtmlCommandButton, HtmlCommandLink, HtmlDataTable, HtmlForm, HtmlGraphicImage, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, HtmlOutcomeTargetButton, HtmlOutcomeTargetLink, HtmlOutputLabel, HtmlOutputLink, HtmlPanelGrid, HtmlSelectBooleanCheckbox, HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu, HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio

    public interface ClientBehaviorHolder

The ClientBehaviorHolder interface may be implemented by any concrete `UIComponent` that wishes to support client behaviors as defined by `ClientBehavior`.

Since:
  2.0

Method Summary
`void` | `addClientBehavior(java.lang.String eventName, ClientBehavior behavior)` Attaches a `ClientBehavior` to the component implementing this interface for the specified event.
`java.util.Map<java.lang.String,java.util.List<ClientBehavior>>` | `getClientBehaviors()` Returns a non-null, unmodifiable `Map` that contains the the `ClientBehavior`s that have been attached to the component implementing this interface.
`java.lang.String` | `getDefaultEventName()` Returns the default event name for this `ClientBehaviorHolder` implementation.
`java.util.Collection<java.lang.String>` | `getEventNames()` Returns a non-null, unmodifiable `Collection` containing the names of the logical events supported by the component implementing this interface.

Method Detail

### addClientBehavior

    void addClientBehavior(java.lang.String eventName,
                           ClientBehavior behavior)

  Attaches a `ClientBehavior` to the component implementing this interface for the specified event. Valid event names for a UIComponent implementation are defined by `ClientBehaviorHolder.getEventNames()`.

  Parameters:
    `eventName` - the logical name of the client-side event to attach the behavior to.
    `behavior` - the `ClientBehavior` instance to attach for the specified event name.
  Since:
    2.0

### getEventNames

    java.util.Collection<java.lang.String> getEventNames()

  Returns a non-null, unmodifiable `Collection` containing the names of the logical events supported by the component implementing this interface.

  Since:
    2.0

### getClientBehaviors

    java.util.Map<java.lang.String,java.util.List<ClientBehavior>> getClientBehaviors()

  Returns a non-null, unmodifiable `Map` that contains the the `ClientBehavior`s that have been attached to the component implementing this interface. The keys in this `Map` are event names defined by `getEventNames()`.

  Since:
    2.0

### getDefaultEventName

    java.lang.String getDefaultEventName()

  Returns the default event name for this `ClientBehaviorHolder` implementation. This must be one of the event names returned by `getEventNames()` or null if the component does not have a default event.

  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.